After ordering a product or service on a website or at a point of sale, if the buyer selects payment via the DCM platform, the Merchant initiates a request using the POST /create_merchant’s_order method.
{
"sub": "623e460b-9ffd-41df", - Merchant identifier (uid)
"exp": 1719493881, - Order expiration time
"iat": 1707105971, - Order creation time
"amt": 1000, - Order amount
"cur": "UAH", - Order currency
"ref": "d4ee06f", - Order number in the Merchant's accounting system
"prp": "Payment for goods/services", - Payment purpose
"url": "https://www.city24.com", - Redirect URL for returning the buyer to the Merchant's website
"fri": { - Information about the ultimate beneficiary of the funds (optional)
"frn": "Kyivpark LLC", - Name
"frc": "0987654321", - Tax number
"fra": "UA55386780956567", - Account number (IBAN)
"frb": "300335", - Servicing bank's code
"frm": "7791" - Merchant category code
}
Example Response:
Based on the received response, the DCM platform generates payment pages with the following payment options:
Scanning a QR code using the mobile app of a participating bank.
Scanning a QR code using the smartphone's camera.
Following a deep link, which automatically redirects to the payment interface.
QR Code Scanning with the Initiator Bank's Mobile App
This involves the Bank receiving the order_id parameter, which is embedded in the QR code data as a URL.
Example URL:
order_id is passed as a query parameter.
The Bank must use the received order_id in a GET /merchants/order/nbu/json request to retrieve detailed information about the order.
QR Code Scanning with the Smartphone Camera or using following a Deep Link
This involves automatically redirecting the Bank's customer to the DCM platform’s payment page in their mobile browser. This page displays a list of participating banks along with corresponding deep links for completing the payment.
The deep link contains a reference to the participating bank's mobile app and payment information about the order in JWT format.
The structure of the payment information in JWT fully mirrors the JSON data from the QR code.
Before providing the deep link to the DCM platform, the participant bank must ensure that such a deep link is correctly registered as an App Link for Android applications and as a Universal Link for iOS.